# Create 'GlobalNotificationContent'

Endpoint: POST /communication/globalnotificationcontent/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `content` (string, required)

  - `html_content_file` (object)

  - `html_content_file.name` (string)
    wanted filename of the file

  - `html_content_file.md5_hash` (string)
    base64 encoded md5hash of the file

  - `html_content_file.get` (string)

  - `html_content_file.post` (object)

  - `html_content_file.post.url` (string)

  - `html_metadata` (object)
    **Additional Validation Information:**
This value requires that the following fields are also set: `html_content_file`

  - `html_metadata.name` (string)
    wanted filename of the file

  - `html_metadata.md5_hash` (string)
    base64 encoded md5hash of the file

  - `html_metadata.get` (string)

  - `html_metadata.post` (object)

  - `html_metadata.post.url` (string)

## Response 201 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `content` (string, required)

  - `html_content_file` (object)

  - `html_content_file.name` (string)
    wanted filename of the file

  - `html_content_file.md5_hash` (string)
    base64 encoded md5hash of the file

  - `html_content_file.get` (string)

  - `html_content_file.post` (object)

  - `html_content_file.post.url` (string)

  - `html_metadata` (object)
    **Additional Validation Information:**
This value requires that the following fields are also set: `html_content_file`

  - `html_metadata.name` (string)
    wanted filename of the file

  - `html_metadata.md5_hash` (string)
    base64 encoded md5hash of the file

  - `html_metadata.get` (string)

  - `html_metadata.post` (object)

  - `html_metadata.post.url` (string)

